Subject: bug#21468: 24.5; When next-line (visual) crosses overlay with before-string="\n" point goes to column 0

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Oct 2015 05:38:17 +0300

> Date: Sat, 10 Oct 2015 17:06:59 -0400
> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> 
> On Sat, Oct 10, 2015 at 1:09 PM, Eli Zaretskii <[email-masked]> wrote:
> >> Date: Sat, 10 Oct 2015 12:51:06 -0400
> >> From: Noam Postavsky <[email-masked]>
> >>
> >> Okay, that makes sense, but it means this approach is worse than
> >> overlayed newlines for magit.
> >
> > I don't think so.  I think a casual mismatch in a column while moving
> > through a buffer, and in marginal cases at that, is not a big deal.
> 
> It's not a *big* deal, but with Emacs 25 using overlayed newlines
> gives no problems at all.

I'm quite sure problems will surface sooner or later.  Overlays with
newlines hit on fragile parts of the display engine code, which was
never really designed for that kind of stuff.